Bug 1118898 - Meld dark theme unusable
Summary: Meld dark theme unusable
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: meld
Version: 20
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 20:28 UTC by Matt Woelfel
Modified: 2015-06-10 14:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-14 13:23:46 UTC


Attachments (Terms of Use)
meld dark theme screenshot (77.39 KB, image/png)
2014-07-11 20:29 UTC, Matt Woelfel
no flags Details

Description Matt Woelfel 2014-07-11 20:28:42 UTC
Description of problem:
The meld dark theme has very little contrast between the diffed text and diffed text background, making very, very difficult to read the lettering.

Version-Release number of selected component (if applicable):
meld-3.11.0-1.fc20.noarch

How reproducible:
100%

Steps to Reproduce:
1. In GNOME Tweak Tool set "Global Dark Theme" to "ON".
2. Diff two files with Meld.

Actual results:
Can hardly read the text.

Expected results:
High contrast colors between the text and the background.

Additional info:
See screenshot.

Comment 1 Matt Woelfel 2014-07-11 20:29:27 UTC
Created attachment 917430 [details]
meld dark theme screenshot

Comment 2 Dominic Hopf 2014-07-12 08:03:36 UTC
We currently stick at version 1.8.5 for Fedora 20, the 3.11 releases are marked as "Devel" at the Website meldmerge.org; for sure for some reason. We build the 3.11 releases for Rawhide only (what will be Fedora 22) at present. How did you actually get to such a release like this?

meld-3.11.0-1.fc20.noarch

This most likely is not build from official Fedora site.

Comment 3 Matt Woelfel 2014-07-12 23:08:18 UTC
My mistake.  I'm using the GNOME 3.12 COPR repo:
https://copr.fedoraproject.org/coprs/rhughes/f20-gnome-3-12/

Using meld from the official repo simply doesn't honor the dark theme, which seems reasonable to me with the dark color scheme not working so well at the moment.

Thanks for looking into this.

Comment 4 Dominic Hopf 2014-07-14 13:23:46 UTC
Thanks for your feedback; I'll be closing this bug then.


Note You need to log in before you can comment on or make changes to this bug.